
Redmine - Patch #1568

Added Support for htpasswd authentication

2008-07-03 14:32 - Robert Shell

Status: New Start date: 2008-07-03

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 2.00 hours

Target version:    

Description

In moving from trac wanted to keep same htpasswd based authorization so passwords in sync with subversion. To do this have

added new AuthSource and forms to support this.

Key Changes

Added AuthSourceFile

Modified User to pass password to auth_source for update

Added passwd and passwd? methods to add/update users and passwords in auth_source

Change auth_sources views to support multiple subtypes

History

#1 - 2008-07-03 19:42 - Jean-Philippe Lang

- Target version deleted (0.7.2)

#2 - 2011-03-15 13:15 - Andrea Maleci

- Assignee set to Jean-Philippe Lang

There is a way to do the same thing with latest version (1.1.2) ?

I've tried to apply patch on it but it doesn't work...

Thanks,

Andrea

#3 - 2011-03-16 10:30 - Nicolas Martin

I would be interested in to know the solution also...

Thank you!

Mix7eart.

#4 - 2011-09-09 02:49 - Aidin Abedi

+1

#5 - 2013-10-23 19:35 - Alessandro Falappa

Is this patch being considered?

Or could someone poit me to a plugin for the same purpose?

This functionality would be perfect for my deployment of Redmine.

Thanks in advance

Files

htauth_patch.patch 11 KB 2008-07-03 Robert Shell
